package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @ClassName ActivityTeamAddSkuInfo
 * @Description 描述
 * @Author zhen_xiong_feng
 * @Date 2024/11/27 20:30
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamAddSkuInfo {
    //        "添加商品规格List": [
    //                "商品SKU": "String",
    //                "商品价格": "BigDecimal",
    //                "拼团价格": "BigDecimal",
    //                "拼团库存": "Long"
    //            ]
    /**
     * 商品SKU
     */
    private String productSku;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团库存
     */
    private Long teamStock;

    public static ActivityTeamAddSkuInfo addSkuInfo(ActivityTeamProductSkuInfo activityTeamProductSkuInfo){
        return ActivityTeamAddSkuInfo.builder()
                .productSku(activityTeamProductSkuInfo.getProductSku())
                .teamPrice(activityTeamProductSkuInfo.getTeamPrice())
                .teamStock(activityTeamProductSkuInfo.getTeamStock())
                .build();
    }
}
