package com.muyu.marketing.domain.model;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.core.web.model.QueryModel;
import com.muyu.marketing.domain.ActivityTeamInfo;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.function.Consumer;
import java.util.function.Function;

/**
 * 团购活动雷彪查询结果模型
 * @author DongZeLiang
 * @date 2024-11-20 14:18:10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamInfoListModel extends BaseEntity {

    /**
     * 拼团活动ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 商品简介
     */
    private String introduction;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 团购结束时间
     */
    private Date endTime;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购状态
     */
    private String status;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 团购库存
     */
    private Long teamStock;
    private String remark;

    public static ActivityTeamInfoListModel infoBuild(ActivityTeamInfo activityTeamInfo, Function<ActivityTeamInfoListModel.ActivityTeamInfoListModelBuilder, ActivityTeamInfoListModel> function) {
        ActivityTeamInfoListModel activityTeamInfoListModel = ActivityTeamInfoListModel.builder()
                .id(activityTeamInfo.getId())
                .name(activityTeamInfo.getName())
                .remark(activityTeamInfo.getRemark())
                .productImage(activityTeamInfo.getProductImage())
                .introduction(activityTeamInfo.getIntroduction())
                .status(activityTeamInfo.getStatus())
                .build();
        return function.apply(
                ActivityTeamInfoListModel.builder()
                        .id(activityTeamInfo.getId())
                        .name(activityTeamInfo.getName())
                        .endTime(activityTeamInfo.getEndTime())
                        .productImage(activityTeamInfo.getProductImage())
                        .status(activityTeamInfo.getStatus())
                        .introduction(activityTeamInfo.getIntroduction())

        );
    }

}
