package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @ClassName ActivityTeamProductSkuEchoModel
 * @Description 描述
 * @Author zhen_xiong_feng
 * @Date 2024/11/26 19:35
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamProductSkuEchoModel {
    /**
     * ID
     */
    private Long id;

    /**
     * 商品ID
     */
    private Long teamId;

    /**
     * 规格SKU
     */
    private String sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    public static ActivityTeamProductSkuEchoModel modelBuild(ActivityTeamProductSkuInfo activityTeamProductSkuInfo){
       return ActivityTeamProductSkuEchoModel.builder()
                .teamId(activityTeamProductSkuInfo.getTeamId())
                .sku(activityTeamProductSkuInfo.getProductSku())
                .teamPrice(activityTeamProductSkuInfo.getTeamPrice())
                .teamStock(activityTeamProductSkuInfo.getRemainStock())
                .build();
    }
}
