package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @ClassName TeamEchoModel
 * @Description 描述
 * @Author zhen_xiong_feng
 * @Date 2024/11/26 22:14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class TeamEchoModel {
    /**
     * 活动ID
     */
    private long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 活动排序
     */
    private long sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private long strategyId;


    public static TeamEchoModel echoModelBuild(ActivityTeamInfo teamEchoModel) {
        return TeamEchoModel.builder()
                .id(teamEchoModel.getId())
                .name(teamEchoModel.getName())
                .productId(teamEchoModel.getProductId())
                .productImage(teamEchoModel.getProductImage())
                .introduction(teamEchoModel.getIntroduction())
                .unit(teamEchoModel.getUnit())
                .imageList(teamEchoModel.getImageList())
                .endTime(teamEchoModel.getEndTime())
                .sort(teamEchoModel.getSort())
                .content(teamEchoModel.getContent())
                .strategyType(teamEchoModel.getStrategyType())
                .strategyId(teamEchoModel.getStrategyId())
                .build();
            }
}
