package com.muyu.marketing.team.strategy;

/**
 * @ClassName ActivityTeamStrategy
 * @Description 描述
 * @Author zhen_xiong_feng
 * @Date 2024/11/29 17:11
 */
public interface ActivityTeamStrategy {
    /**
     * 开团
     * @param activityTeamId 活动团id
     */
    public void openTeam(Long activityTeamId);

    /**
     * 申请参团
     * @param teamId 团id
     */
    public void applyFor(Long teamId);

    /**
     * 参团
     * @param teamId 团id
     * @param orderNumber 订单号
     */
    public void addTeam(Long teamId,String orderNumber);

    /**
     * 退团
     * @param teamId 团购ID
     */
    public void backTeam(Long teamId);

    /**
     * 结算团
     * @param teamId
     */
    public void settle(Long teamId);
}
