package com.muyu.product.domain.model;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.RuleAttrInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Arrays;
import java.util.List;

/**
 * @ClassName RuleAttrAssModel
 * @Description 描述
 * @Author zhang
 * @Date 2024/11/14 16:03
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class RuleAttrAssModel extends BaseEntity {
    private String name;

    private List<String> valueList;

    public static RuleAttrAddModel infoBuild (RuleAttrInfo ruleAttrInfo) {
        return RuleAttrAddModel.builder()
                .name(ruleAttrInfo.getName())
                .valueList(Arrays.stream(ruleAttrInfo.getAttrValue().split(",")).toList())
                .build();
    }
}
