package com.muyu.product.domain.req;

import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.domain.ProjectSkuInfo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 商品信息对象 project_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ProjectInfoQueryReq", description = "商品信息")
public class ProjectInfoQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 商品名称 */
    @ApiModelProperty(name = "商品名称", value = "商品名称")
    private String name;

    /** 商品描述 */
    @ApiModelProperty(name = "商品描述", value = "商品描述")
    private String introduction;

    /** 主类型 */
    @ApiModelProperty(name = "主类型", value = "主类型")
    private Long mianType;

    /** 父类型 */
    @ApiModelProperty(name = "父类型", value = "父类型")
    private Long parentType;

    /** 商品类型 */
    @ApiModelProperty(name = "商品类型", value = "商品类型")
    private Long type;

    /** 商品图片 */
    @ApiModelProperty(name = "商品图片", value = "商品图片")
    private String image;

    /** 商品轮播图 */
    @ApiModelProperty(name = "商品轮播图", value = "商品轮播图")
    private String carouselImages;

    /** 商品状态 */
    @ApiModelProperty(name = "商品状态", value = "商品状态")
    private String status;

    /** 规格 */
    @ApiModelProperty(name = "规格", value = "规格")
    private Long ruleId;

    /** 品牌 */
    @ApiModelProperty(name = "品牌", value = "品牌")
    private Long brandId;

    @ApiModelProperty(name = "商品信息", value = "商品信息")
    private ProjectInfo projectInfo;

    @ApiModelProperty(name = "商品SKU", value = "商品SKU")
    private List<ProjectSkuInfo> skuList;

}
