package com.muyu.product.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
 * 规格详情对象 rule_attr_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RuleAttrInfoSaveReq", description = "规格详情")
public class RuleAttrInfoSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 规格id */

    @ApiModelProperty(name = "规格id", value = "规格id", required = true)
    private Long ruleId;

    /** 类目名称 */

    @ApiModelProperty(name = "类目名称", value = "类目名称")
    private String name;

    /** 规格值 */

    @ApiModelProperty(name = "规格值", value = "规格值")
    private String attrValue;

    @NotBlank(message = "规格名称不能为空")
    @Length(max = 50, message = "规格名称长度不能超过50个字符")
    private String attrName;

}
