package com.muyu.product.domain.resp;

import com.muyu.common.core.utils.bean.BeanUtils;
import com.muyu.product.domain.CategoryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @ClassName CategoryInfoDetailResp
 * @Description 描述
 * @Author zhang
 * @Date 2024/11/14 23:34
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "CategoryInfoDetailResp",description = "品类信息详情响应")
public class CategoryInfoDetailResp extends CategoryInfo {
    @ApiModelProperty("关联的属性ID列表")
    private List<Long> attributeIdList;

    @ApiModelProperty("关联的属性组ID列表")
    private List<Long> attributeGroupIdList;

    @ApiModelProperty("关联的品牌ID列表")
    private List<Long> brandIdList;

    @ApiModelProperty("父级品类名称")
    private String parentName;

    public static CategoryInfoDetailResp of(CategoryInfo categoryInfo, String parentName) {
        CategoryInfoDetailResp resp = new CategoryInfoDetailResp();
        // 复制基本属性
        BeanUtils.copyProperties(categoryInfo, resp);
        // 设置父级名称
        resp.setParentName(parentName);
        return resp;
    }

    public static CategoryInfoDetailResp of(CategoryInfo categoryInfo) {
        return of(categoryInfo, null);
    }
}
