package com.muyu.product.domain.vo;

import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.AttributeInfo;
import com.muyu.product.domain.ProjectSkuInfo;
import lombok.Data;

import javax.management.Attribute;
import java.util.List;

/**
 * @ClassName ProductVo
 * @Description 描述
 * @Author zhang
 * @Date 2024/11/22 16:06
 */
@Data
public class ProductVo {
    private Long id;
    private String name;    // 商品名称
    private String introduction;  // 商品描述
    private String mainType;     // 主类型
    private String parentType;   // 父类型
    private String type;         // 商品类型
    private String image;        // 商品图片
    private String carouselImages; // 轮播图
    private String status;       // 商品状态
    private Long ruleId;         // 规格ID
    private Long brandId;        // 品牌ID
    private String remark;       // 备注

    // 属性相关
    private List<AttributeGroup> templateAttributeGroupList; // 属性组列表
    private List<AttributeInfo> templateAttributeList;          // 模板属性
    private List<AttributeInfo> attributeList;                  // 自定义属性

    // SKU相关
    private List<ProjectSkuInfo> skuList;  // SKU列表
}
